class EventbriteApiClient::Params
  attr_accessor :data

  def initialize(data = {})
    @data = data
  end

  def format
    data.update(data) { |k,v| format_datetime(v) }
  end

  def format_datetime(datetime)
    return datetime unless datetime.is_a? Time
    datetime.utc.strftime "%Y-%m-%dT%H:%M:%SZ"
  end

  def to_s
    "?".concat data.each.map { |k,v| "#{k}=#{v}" }.join("&")
  end
end
